'\" t
.\"	plasticfs - the plsatic file system
.\"	Copyright (C) 2002, 2003 Peter Miller;
.\"	All rights reserved.
.\"
.\"	This program is free software; you can redistribute it and/or modify
.\"	it under the terms of the GNU General Public License as published by
.\"	the Free Software Foundation; either version 2 of the License, or
.\"	(at your option) any later version.
.\"
.\"	This program is distributed in the hope that it will be useful,
.\"	but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"	GNU General Public License for more details.
.\"
.\"	You should have received a copy of the GNU General Public License
.\"	along with this program; if not, write to the Free Software
.\"	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.\"
.\" MANIFEST: source of the README file
.\"
.TH "Read Me" PlasticFS PlasticfS "Reference Manual"
.so version.so
.hy 0
.ad l
.SH NAME
PlasticFS \- The Plastic File System
.XX "" "The README file"
.SH DESCRIPTION
The Plastic File System is an LD_PRELOAD module for manipulating what the
file system looks like for programs.  This allows virtual file systems
to exist in user space, without kernel hacks or modules.
.TP 8n
chroot
The \fIchroot\fP filter may be used to simulate the effects of the
\fIchroot\fP(2) system call.  It is usually used in combination with
other filters.
.TP 8n
dos
The \fIdos\fP filter may be used to simulate an 8.3 DOS filesystem.
.TP 8n
downcase
The \fIdowncase\fP filter may be used to make file names appear to be
in lower-case when listed.  File names are case-insensitive when being
opened, \fIetc\fP.
.TP 8n
log
The \fIlog\fP filter may be used to transparently log file system access,
similar to the \fIstrace\fP(1) program.
.TP 8n
nocase
The \fInocase\fP filter make be used to make file names appear to be
case-insensitive when being opened, \fIetc\fP.
.TP 8n
shortname
The \fIshortname\fP filter may be used to simulate file systems with
shorter filenames.
.TP 8n
smartlink
The \fIsmartlink\fP filter make be used to expand environment variables 
in symbolic links, using the usual \f[CW]$\fP\fIname\fP notation.
.TP 8n
titlecase
The \fIdowncase\fP filter may be used to make file names appear to be
capitalized when listed.  File names are case-insensitive when being
opened, \fIetc\fP.
.TP 8n
upcase
The \fIupcase\fP filter may be used to make file names appear to be
in upper-case when listed.  File names are case-insensitive when being
opened, \fIetc\fP.
.TP 8n
viewpath
The \fIviewpath\fP filter may be used to union all the directory trees
in a view path, so that they appear to be a single directory tree.
.PP
Filters may be piped on into the next to form powerful combinations.
.PP
It is possible to extend PlasticFS with loadable file system filter
modules from shared object files.
.PP
The implementation of PlasticFS is strongly tied to GNU Libc,
so it is probably Linux specific.
.br
.ne 1i
.SH ARCHIVE SITE
The latest version of
.I plasticfs
is available on the Web from:
.RS 4m
.TS
tab(;);
l l s
l l l.
URL:;http://plasticfs.sourceforge.net/
File:;plasticfs.html;# the plasticfs page
File:;plasticfs-\*(v).README;# Description, from the tar file
File:;plasticfs-\*(v).lsm;# Description, LSM format
File:;plasticfs-\*(v).spec;# RedHat package specification
File:;plasticfs-\*(v).tar.gz;# the complete source
File:;plasticfs-\*(v).pdf;# Reference Manual
.TE
.RE
.br
.ne 1i
.SH BUILDING PlasticFS
Full instructions for building
.I plasticfs
may be found in the
.I BUILDING
file included in this distribution.
.br
.ne 1i
.SH USING PlasticFS
See \fIplasticfs\fP(3) for how to make use of PlasticFS on your system.
.SH COPYRIGHT
.I plasticfs
version \*(v)
.br
Copyright
.if t \(co
.if n (C)
\*(Y) Peter Miller;
All rights reserved.
.PP
This program is free software;
you can redistribute it
and/or modify it under the terms of the GNU General Public
License as published by the Free Software Foundation;
either version 2 of the License,
or (at your option) any later version.
.PP
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY;
without even the implied
warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
See the GNU General Public License for more details.
.PP
You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.PP
It should be in the
.I LICENSE
file included with this distribution.
.br
.ne 1i
.SH AUTHOR
.TS
tab(;);
l l l.
Peter Miller;E-Mail:;millerp@canb.auug.org.au
\f(CW/\e/\e*\fP;WWW:;http://www.canb.auug.org.au/~millerp/
.TE
.br
.bp
.SH RELEASE NOTES
.XX "" "Release Notes"
This section details the various features and bug fixes of the various
releases.  For excruciating and complete detail, and also credits for
those of you who have generously sent me suggestions and bug reports,
see the \fIetc/CHANGES.*\fP files.
.so new.so
