'\" t
.\"	plasticfs - the plastic file system
.\"	Copyright (C) 2003 Peter Miller;
.\"	All rights reserved.
.\"
.\"	This program is free software; you can redistribute it and/or modify
.\"	it under the terms of the GNU General Public License as published by
.\"	the Free Software Foundation; either version 2 of the License, or
.\"	(at your option) any later version.
.\"
.\"	This program is distributed in the hope that it will be useful,
.\"	but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"	GNU General Public License for more details.
.\"
.\"	You should have received a copy of the GNU General Public License
.\"	along with this program; if not, write to the Free Software
.\"	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.\"
.\" MANIFEST: manual entry for the plasticfs_dos.l command
.\"
.ds n) plasticfs_dos
.TH \*(n) l PlasticFS "Reference Manual"
.SH NAME
plasticfs_dos \- DOS-like file system
.XX "plasticfs_dos(l)" "DOS-like file system"
.SH SYNOPSIS
\f[CW]PLASTICFS="dos /\fP\fIdirectory\fP\f[CW]"\fP
.SH DESCRIPTION
The \fIdos\fP file system filter is used to make the files under
\fIdirectory\fP appear to be a DOS file system with 8.3 filenames
(eight characters before the first dot, three characters after the dot).
Only alphanumerics, minus (-) and dot (.) are allowed in filenames.
.PP
When files are searched for (\fIopen\fP(2), \fIlstat\fP(2), \fIetc\fP)
they will be searched for ignoring the case of the characters in their names.
.PP
When files are created, the case of the characters presented will be
preserved into the deeper file system, although they will appear in
upper-case when listed via the filter.
.PP
The filenames will be converted to DOS-like names when reading
directory contents (via \fIls\fP(1), \fIreaddir\fP(3), \fIetc\fP).
.SS Text \fIvs\fP Binary
This file system \fIdoes not\fP alter file contents.
File contents are treated just as they are for all Unix files.
.PP
It is a possible future extension to The Plastic File System to
implement \fIdos2unix\fP and \fIunix2dos\fP filters.  Which you would
want combined with the DOS \fIfile name\fP filter depends on what you are
trying to simulate.  However, this is complicated by a lack of O_BINARY,
so there is no hint to \fIopen\fP(2) as to whether the file is expected
to be text or binary.
.SH EXAMPLE
You wish to make a CD-Rom for use on a DOS-like operating system, and
you don't want to see all of the warnings \fImkisofs\fP(1) is going to
spew out.  The following command
.RS
.nf
.ft CW
LD_PRELOAD="libplasticfs.so" \e
PLASTICFS="dos /tmp/\fIexample\fP" \e
mkisofs -o ~/\fIexample\fP.iso /tmp/\fIexample\fP
.ft R
.fi
.RE
will make \fImkisofs\fP(1) think the file names are already in the correct
DOS-like form.  Note that the \fImkisofs\fP(1) file name mangling is
done in a very different way to that done by \fIplasticfs\fP(3).
.so ../man3/z_copyright.so
