'\" t
.\"	plasticfs - the plastic file system
.\"	Copyright (C) 2003 Peter Miller;
.\"	All rights reserved.
.\"
.\"	This program is free software; you can redistribute it and/or modify
.\"	it under the terms of the GNU General Public License as published by
.\"	the Free Software Foundation; either version 2 of the License, or
.\"	(at your option) any later version.
.\"
.\"	This program is distributed in the hope that it will be useful,
.\"	but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"	GNU General Public License for more details.
.\"
.\"	You should have received a copy of the GNU General Public License
.\"	along with this program; if not, write to the Free Software
.\"	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.\"
.\" MANIFEST: manual entry for the plasticfs_downcase.l command
.\"
.ds n) plasticfs_downcase
.TH \*(n) l PlasticFS "Reference Manual"
.SH NAME
plasticfs_downcase \- lower-case file system
.XX "plasticfs_downcase(l)" "lower-case file system"
.SH SYNOPSIS
\f[CW]PLASTICFS="downcase /\fP\fIdirectory\fP\f[CW]"\fP
.SH DESCRIPTION
The \fIdowncase\fP file system filter
is used to make the files under \fIdirectory\fP appear to be lower-case.
.PP
When files are searched for (\fIopen\fP(2), \fIlstat\fP(2), \fIetc\fP)
they will be searched for ignoring the case of the characters in their names.
.PP
When file are created, the case of the characters presented will be
preserved into the deeper file system, although they will appear in
lower-case when listed via the filter.
.PP
The case of filenames will be converted to lower-case when reading
directory contents (via \fIls\fP(1), \fIreaddir\fP(3), \fIetc\fP).
.SH EXAMPLE
If you have a PC floppy mounted at \f[CW]/mnt/floppy\fP and all of
the file names are inconveniently in upper-case.  To make the filenames
appear to be lower-case, use the
.RS
.ft CW
.nf
PLASTICFS="downcase /mnt/floppy" \e
LD_PRELOAD="libplasticfs.so" \e
bash
.fi
.ft R
.RE
command to have a shell within which the file names on the floppy appear
to be entirely in lower-case.  Exit the shell when you are done.
.so ../man3/z_copyright.so
