'\" t
.\"	plasticfs - the plastic file system
.\"	Copyright (C) 2003 Peter Miller;
.\"	All rights reserved.
.\"
.\"	This program is free software; you can redistribute it and/or modify
.\"	it under the terms of the GNU General Public License as published by
.\"	the Free Software Foundation; either version 2 of the License, or
.\"	(at your option) any later version.
.\"
.\"	This program is distributed in the hope that it will be useful,
.\"	but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"	GNU General Public License for more details.
.\"
.\"	You should have received a copy of the GNU General Public License
.\"	along with this program; if not, write to the Free Software
.\"	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.\"
.\" MANIFEST: manual entry for the plasticfs_shortname.l command
.\"
.ds n) plasticfs_shortname
.TH \*(n) l PlasticFS "Reference Manual"
.SH NAME
plasticfs_shortname \- shorten file names
.XX "plasticfs_shortname(l)" "shorten file names"
.SH SYNOPSIS
\f[CW]PLASTICFS="shortname /\fP\fIdirectory\fP [ \fIlength\fP ] \f[CW]"\fP
.SH DESCRIPTION
The \fIshortname\fP file system filter is used to make the files under
\fIdirectory\fP appear to have a limit of \fIlength\fP characters.
The length limit defaults to 14, to simulate Version 7 Unix.
.PP
When files are created, the full filename presented will be
preserved into the deeper file system.
.PP
The filenames will be shortened when reading
directory contents (via \fIls\fP(1), \fIreaddir\fP(3), \fIetc\fP).
.SH EXAMPLE
If you want to simulate a Version 7 Unix file system,
use a command like
.RS
.nf
.ft CW
mkdir /tmp/\fIexample\fP
cd /tmp/\fIexample\fP
LD_PRELOAD=libplasticfs.so \e
PLASTICFS="shortname /tmp/\fIexample\fP" \e
bash
.ft R
.fi
.RE
To simulate PR1MOS 30 character case-insensitive filenames, 
use a command like
.RS
.nf
.ft CW
mkdir /tmp/\fIexample\fP
cd /tmp/\fIexample\fP
LD_PRELOAD=libplasticfs.so \e
PLASTICFS="shortname /tmp/\fIexample\fP | upcase /tmp/\fIexample\fP" \e
bash
.ft R
.fi
.RE
Note that this does \fInot\fP simulate the PR1MOS '>' separators,
you will have to use Unix '/' separators.
.so ../man3/z_copyright.so
