'\" t
.\"	plasticfs - the plastic file system
.\"	Copyright (C) 2003 Peter Miller;
.\"	All rights reserved.
.\"
.\"	This program is free software; you can redistribute it and/or modify
.\"	it under the terms of the GNU General Public License as published by
.\"	the Free Software Foundation; either version 2 of the License, or
.\"	(at your option) any later version.
.\"
.\"	This program is distributed in the hope that it will be useful,
.\"	but WITHOUT ANY WARRANTY; without even the implied warranty of
.\"	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
.\"	GNU General Public License for more details.
.\"
.\"	You should have received a copy of the GNU General Public License
.\"	along with this program; if not, write to the Free Software
.\"	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
.\"
.\" MANIFEST: manual entry for the plasticfs_smartlink.l command
.\"
.ds n) plasticfs_smartlink
.TH \*(n) l PlasticFS "Reference Manual"
.SH NAME
plasticfs_smartlink \- smart symbolic link filter
.XX "plasticfs_smartlink(l)" "smart symbolic link filter"
.SH SYNOPSIS
\f[CW]PLASTICFS="smartlink\fP \fIpath\fP\f[CW]"\fP
.SH DESCRIPTION
The \fIsmartlink\fP file system filter expands environment variables in
symbolic links when files are being accessed.
.PP
This is a cute idea from DG/UX.
It is done automatically by The DG/UX libc.
IIRC they call it "e-links".
.SH EXAMPLE
Say you wanted to support several architectures from the same binary directory
.RS
.nf
.ft CW
/some/package/bin/
\|  linux/
\|    \fIprogs\fP
\|  solaris/
\|    \fIprogs\fP
\|  bsd/
\|    \fIprogs\fP
.ft R
.fi
.RE
If you add a symbolic link
.RS
.nf
.ft CW
cd bin
ln -s '$ARCH' /some/package/bin/arch
.ft R
.fi
.RE
(note the \fIsingle\fP quotes)
then all that is necessary is to put
.RS
.ft CW
PATH=${PATH}:/some/package/bin/arch
.ft R
.RE
and set the ARCH environment variable appropriately for each system.
(And use PlasticFS, of course.)
.so ../man3/z_copyright.so
